#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
SLiCAP module with user-defined path settings.
Default values:
>>> # PATHS: relative to the project path
>>> HTMLPATH    = "html/"   # path for html output
>>> CIRCUITPATH = "cir/"    # path for .asc, .net, .cir, .sch files
>>> LIBRARYPATH = "lib/"    # path for include and library files
>>> TXTPATH     = "txt/"    # path for text files
>>> CSVPATH     = "csv/"    # path for CSV files
>>> LATEXPATH   = "tex/"    # path for LaTeX output
>>> MATHMLPATH  = "mathml/" # path for mathML output
>>> IMGPATH     = "img/"    # path for image files
>>> SPHINXPATH  = "sphinx/" # path for Sphinx output
"""
# PATHS: relative to the project path
HTMLPATH    = "html/"   # path for html output
CIRCUITPATH = "cir/"    # path for .asc, .net, .cir, .sch files
LIBRARYPATH = "lib/"    # path for include and library files
TXTPATH     = "txt/"    # path for text files
CSVPATH     = "csv/"    # path for CSV files
LATEXPATH   = "tex/"    # path for LaTeX output
MATHMLPATH  = "mathml/" # path for mathML output
IMGPATH     = "img/"    # path for image files
SPHINXPATH  = "sphinx/" # path for Sphinx output
# Project information
PROJECT    = 'NA-2'
AUTHOR     = 'anton'
CREATED    = '2024-01-03 22:12:58.758658'
LASTUPDATE = '2024-02-13 20:51:24.623204'